Update organization profile
curl --request PATCH \
--url https://app.ontime.hosai.app/api/config/organization \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"legalName": "<string>",
"country": "<string>",
"currency": "<string>",
"offsiteReasons": [
"<string>"
]
}
'import requests
url = "https://app.ontime.hosai.app/api/config/organization"
payload = {
"name": "<string>",
"legalName": "<string>",
"country": "<string>",
"currency": "<string>",
"offsiteReasons": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
legalName: '<string>',
country: '<string>',
currency: '<string>',
offsiteReasons: ['<string>']
})
};
fetch('https://app.ontime.hosai.app/api/config/organization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"legalName": "<string>",
"country": "<string>",
"currency": "<string>",
"fyStartMonth": 0,
"fyStartLabel": "<string>",
"offsiteReasons": [
"<string>"
]
}Config
Update organization profile
Update organization profile
PATCH
/
api
/
config
/
organization
Update organization profile
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Body
application/json
Response
200 - application/json
Success
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
-9007199254740991 <= x <= 9007199254740991⌘I